Bug 165801 - identify dumps core on directories
identify dumps core on directories
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-12 09:16 EDT by Boris Folgmann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2005-08-12 09:16:46 EDT
Description of problem:
identify  -format "<whatever>" dumps core when invoke on directories.
Files work as expected

Version-Release number of selected component (if applicable):
ImageMagick-6.2.2.0-2.fc3


How reproducible:
always

Steps to Reproduce:
identify  -format "%i" .
or
identify  -format "%b" .
or
identify  -format "" .

It seems that it doesn't matter which format string you specify.
  
Actual results:
core dump

Expected results:
"identify ." without -format simply exits. I haven't checked for return code.

Additional info:
End of strace output:
open(".", O_RDONLY|O_LARGEFILE)         = 3
fstat64(3, {st_mode=S_IFDIR|0775, st_size=1128, ...}) = 0
mmap2(NULL, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7d1e000
read(3, 0xb7d1e000, 131072)             = -1 EISDIR (Is a directory)
_llseek(3, 0, [0], SEEK_SET)            = 0
read(3, 0xb7d1e000, 131072)             = -1 EISDIR (Is a directory)
fstat64(3, {st_mode=S_IFDIR|0775, st_size=1128, ...}) = 0
close(3)                                = 0
munmap(0xb7d1e000, 131072)              = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 1 Matthew Miller 2006-07-10 18:51:19 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Boris Folgmann 2007-03-19 10:03:19 EDT
It's at least fixed in RHEL4. Tnx.

Note You need to log in before you can comment on or make changes to this bug.